﻿#language: ru

Функционал: Выпуск созревшего сыра без взвешивания

Сценарий: Выпуск созревшего сыра без взвешивания
	Дано Я подключаюсь под "Технолог"
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место технолога'
	Тогда открылось окно 'Рабочее место технолога*'
	И я перехожу к закладке с именем "ГруппаТаблицаОстатковПанельОтборов"
	И в поле 'Дата смены' я ввожу текст '29.03.2019'
	И я перехожу к закладке с именем "ГруппаТаблицаОстатковПанельОтборов"
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'Маркировка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И я нажимаю кнопку выбора у поля "ОтборХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'На созревании'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно "Рабочее место технолога*"
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Номенклатура'  | 'Характеристика' |'Серия'            |
		| 'Российский 50%'|'На созревании'|'12.03.2019/1' |
	И я нажимаю на кнопку 'Посмотреть историю показателей'
	Тогда открылось окно 'Отчет по лабораторным анализам'
	И Я в отчете устанавливаю период "01.01.2018" "31.12.2042"
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	И в табличном документе 'ОтчетТабличныйДокумент' ячейка с адресом 'R13C4' равна '28'
	И в табличном документе 'ОтчетТабличныйДокумент' ячейка с адресом 'R20C5' равна '0,3'
	И в табличном документе 'ОтчетТабличныйДокумент' ячейка с адресом 'R22C6' равна '50'
	И Я закрываю окно 'Отчет по лабораторным анализам'
	И я жду закрытия окна "Отчет по лабораторным анализам" в течение 20 секунд
	Тогда открылось окно 'Рабочее место технолога*'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Номенклатура'  | 'Характеристика' |'Серия'            |
		| 'Российский 50%'|'На созревании'|'12.03.2019/1' |	
	И я нажимаю на кнопку 'Подтвердить готовность'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Рабочее место технолога*'
	И Я закрываю окно 'Рабочее место технолога*'

Сценарий: 10_milk_scenario.05.004 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT